Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003204Zandronum[All Projects] Bugpublic2017-07-27 19:562018-04-20 07:09
ReporterHexaDoken 
Assigned ToLeonard 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.1Fixed in Version3.1 
Summary0003204: A_SetTranslucent doesn't work online when called from custominventory that is A_RadiusGive-n to a monster
Description...Or something. I'll confess that I'm not 100% confident what's going on here.

I've got fed up with fighting stealth monsters and created a weapon to combat them. It works like this: primary fire throws a flare that makes all stealth monsters around it blink into visibility every so often; secondary fire throws a super flare that just strips stealth entirely from all monsters that come into range.

From a technical side, the flares use A_RadiusGive to give monsters in range a CustomInventory item that in the pickup state checks for stealth flag and disables it while also using A_SetTranslucent to make the monster opaque.

Offline, it works perfectly.

Online, A_SetTranslucent appears to do nothing.

I've at first thought that A_SetTranslucent just doesn't work entirely, so I slapped together a monster that rapidly calls A_SetTranslucent in it's spawn state, but THAT works perfectly. So overall, I'm not quite sure what is happening. It's only in this specific interaction I've found it to break apart.

I've fixed the issue by replacing A_SetTranslucent with a script that uses SetActorProperty, which works fine both offline and online, but I thought somebody should still know about this.
Steps To Reproduce1) summon a stealth monster
2) throw a flare near it
3) observe the result

Offline: normal flare should make stealth monsters nearby blink into visibility every second or so; super flares should just make them permanently visible.

Online: normal flare does nothing; super flare removes the stealth flag without changing monster's alpha, which makes it permanently stuck at whatever level of visibility it was at before, which is usually "completely invisible"
Attached Files? file icon antistealthflare.pk3 [^] (11,596 bytes) 2017-07-27 19:56
? file icon CustomInventory_SetTranslucent.wad [^] (743 bytes) 2017-07-27 23:52

- Relationships

-  Notes
User avatar (0018109)
Korshun (reporter)
2017-07-27 23:54
edited on: 2017-07-27 23:54

Does this bug have the same mechanism ashttps://zandronum.com/tracker/view.php?id=3201 [^] ? I uploaded a much simpler test wad, which is edited StopSound wad.

User avatar (0018111)
HexaDoken (reporter)
2017-07-28 09:57
edited on: 2017-07-28 10:04

Probably not. I modified my custominventory item really quickly to just call A_SetTranslucent(0.5) and nothing else, and giving it to myself via console sets alpha properly both offline and online, but throwing it into a monster's face only changes alpha offline, not online.

So unless I misunderstood the nature of your case, it seems unrelated.

EDIT: only now noticed your wad and tested it. As provided, it doesn't work online. However, if I edit your custominventory items to end their Pickup states with Stop instead of Fail, they will work online.

Curious, that.

User avatar (0018432)
Leonard (developer)
2017-10-04 16:13

PR.
User avatar (0018482)
Torr Samaho (administrator)
2017-10-08 13:26

Thanks! I added you patch.
User avatar (0019171)
StrikerMan780 (reporter)
2018-04-18 06:29

Tested this online and off with the latest 3.1 build and antistealthflare.pk3. Works, stealth monsters show up when a flare is put down, and the alt-fire makes them visible permanently like they should.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Korshun
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-07-27 19:56 HexaDoken New Issue
2017-07-27 19:56 HexaDoken File Added: antistealthflare.pk3
2017-07-27 23:52 Korshun File Added: CustomInventory_SetTranslucent.wad
2017-07-27 23:54 Korshun Note Added: 0018109
2017-07-27 23:54 Korshun Note Edited: 0018109 View Revisions
2017-07-27 23:54 Korshun Note Edited: 0018109 View Revisions
2017-07-28 09:57 HexaDoken Note Added: 0018111
2017-07-28 10:04 HexaDoken Note Edited: 0018111 View Revisions
2017-10-04 16:13 Leonard Note Added: 0018432
2017-10-04 16:14 Leonard Status new => needs review
2017-10-04 16:14 Leonard Target Version => 3.1
2017-10-08 13:26 Torr Samaho Note Added: 0018482
2017-10-08 13:26 Torr Samaho Assigned To => Leonard
2017-10-08 13:26 Torr Samaho Status needs review => needs testing
2018-04-18 06:29 StrikerMan780 Note Added: 0019171
2018-04-20 07:09 Dusk Status needs testing => resolved
2018-04-20 07:09 Dusk Fixed in Version => 3.1
2018-04-20 07:09 Dusk Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker